#ifndef XSH_H
#define XSH_H
/*
Szymon Rusinkiewicz
Princeton University

xsh.h
The .xsh file format, which contains a mesh plus several levels of
pre-smoothed normals and curvatures stored in an efficient format.
*/

#include "TriMesh.h"


struct XSHdata {
	vector<float> sigmas;
	vector< vector<vec> > snormals;
	vector< vector<vec> > spdir;
	vector< vector<float> > smeancurv;
};

bool xsh_read(const char *filename, TriMesh *mesh, XSHdata *data);
void xsh_write(const char *filename, TriMesh *mesh, XSHdata *data);

#endif
